# $Revision: 1.32 $, $Date: 2004/03/28 22:16:33 $
# TODO: add modyfications for use system avalaible shared adns library
# TODO: rewrite ipv6 support to work with non-v6 systems
#
# Conditional build:
# _without_ipv6	- disable ipv6 support
#
Summary:	Internet Relay Chat Server
Summary(pl):	Serwer IRC
Name:		ircd-hybrid
Version:	7.0.1
Release:	2
Epoch:		1
License:	GPL v1
Group:		Daemons
Source0:	http://dl.sf.net/ircd-hybrid/ircd-hybrid-%{version}.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
Patch1:		%{name}-ac25x.patch
Patch2:		%{name}-ac_fixes.patch
Patch3:		%{name}-change_uid.patch
Patch4:		%{name}-opt.patch
URL:		http://www.ircd-hybrid.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	zlib-devel
Prereq:		rc-scripts
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(post):	/sbin/chkconfig
Requires(preun):/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ircd
Obsoletes:	ircd6

%define		_sysconfdir	/etc/ircd
%define		_localstatedir	/var/lib/ircd

%description
Ircd-hybrid is an advanced IRC server which is most commonly used on
the EFNet IRC network. It is fast, reliable, and powerful. This
version supports IPv6.

%description -l pl
Ircd-hybrid jest zaawansowanym serwerem IRC, najczciej uywanym w
sieci EFNet. Jest szybki, stabilny i wydajny. Ta wersja obsuguje
IPv6.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3	-p1
%patch4 -p1

mv -f autoconf/{configure.in,acconfig.h} .

%build
cp -f %{_datadir}/automake/config.* autoconf
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} %{?debug:-DDEBUGMODE}"
%configure \
	--enable-zlib \
	%{!?_without_ipv6:--enable-ipv6} \
	--enable-small-net \
	--enable-ssl \
	--with-nicklen=12 \
	--with-maxclients=512
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/ircd,%{_var}/log/ircd,%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_libdir}/ircd/{modules{,/autoload},tools,help},%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_localstatedir}}

install src/ircd $RPM_BUILD_ROOT%{_sbindir}/ircd
install servlink/servlink $RPM_BUILD_ROOT%{_sbindir}/servlink
install doc/simple.conf	$RPM_BUILD_ROOT%{_sysconfdir}/ircd.conf
install doc/ircd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ircd

cd modules
	install *.so $RPM_BUILD_ROOT%{_libdir}/ircd/modules/autoload
	cd core
		install *.so $RPM_BUILD_ROOT%{_libdir}/ircd/modules
	cd ..
cd ..

cd tools
	for i in convertconf convertilines convertklines encspeed mkkeypair mkpasswd untabify viconf; do
		install $i $RPM_BUILD_ROOT%{_libdir}/ircd/tools/$i
	done
cd ..

cd help
	cp -rf opers users $RPM_BUILD_ROOT%{_libdir}/ircd/help
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid ircd`" ]; then
       if [ "`getgid ircd`" != "75" ]; then
	       echo "Error: group ircd doesn't have gid=75. Correct this before installing ircd." 1>&2
	       exit 1
       fi
else
       /usr/sbin/groupadd -f -g 75 ircd 2> /dev/null
fi
if [ -n "`id -u ircd 2>/dev/null`" ]; then
       if [ "`id -u ircd`" != "75" ]; then
	       echo "Error: user ircd doesn't have uid=75. Correct this before installing ircd." 1>&2
	       exit 1
       fi
else
       /usr/sbin/useradd -g ircd -d /etc/ircd -u 75 -c "IRC service account" -s /bin/true ircd 2> /dev/null
fi

%post
/sbin/chkconfig --add ircd
if [ -f /var/lock/subsys/ircd ]; then
	/etc/rc.d/init.d/ircd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/ircd start\" to start IRC daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/ircd ]; then
		/etc/rc.d/init.d/ircd stop 1>&2
	fi
	/sbin/chkconfig --del ircd
fi

%postun
if [ "$1" = "0" ]; then
       /usr/sbin/userdel ircd 2> /dev/null
       /usr/sbin/groupdel ircd 2> /dev/null
fi

%files
%defattr(644,root,root,755)
%doc doc/{*.txt,*.conf,server-version-info,technical} RELNOTES ChangeLog Hybrid-team BUGS TODO
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,ircd) %dir %{_sysconfdir}
%attr(660,ircd,ircd) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ircd.conf
%attr(754,root,root) /etc/rc.d/init.d/ircd
%attr(640,root,root) /etc/sysconfig/ircd
%dir %{_libdir}/ircd
%dir %{_libdir}/ircd/modules
%dir %{_libdir}/ircd/tools
%dir %{_libdir}/ircd/help
%attr(755,root,root) %{_libdir}/ircd/modules/*
%attr(755,root,root) %{_libdir}/ircd/tools/*
%{_libdir}/ircd/help/*
%attr(770,root,ircd) %dir %{_var}/log/ircd
%attr(770,root,ircd) %dir %{_localstatedir}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ircd-hybrid.spec,v $
Revision 1.32  2004/03/28 22:16:33  kloczek
- bump release to 2.

Revision 1.31  2004/03/28 22:16:04  kloczek
- updated to 7.0.1.

Revision 1.30  2004/01/28 13:45:31  kloczek
- use common format for commented TODO entries.

Revision 1.29  2004/01/02 21:15:39  kloczek
- release 5,
- enable by default ipv6 and SSL support,
- added in config patch modyfications for default config file.

Revision 1.28  2003/12/16 23:10:46  kloczek
- release 4: removed va patch (obsoleted and breaks /oper causing SIGBUS).

Revision 1.27  2003/12/16 02:02:40  kloczek
- release 3,
- fixes by Antic in config patch:
-- relocate ircd.pid to /var/run/ircd,
-- fix path to file help (opers, users).

Revision 1.26  2003/12/10 17:22:36  kloczek
- updated to final 7.0 (added Epoch: 1),
- updated Source url.

Revision 1.25  2003/09/06 22:28:24  kloczek
- simplifications and unifications in %files.

Revision 1.24  2003/08/29 18:02:13  kloczek
- cleanups (use tabs instead spaces in some places, remove trailing spaces,
  remove not neccessary LICENSE, COPYING, INSTALL files and other minor changes).

Revision 1.23  2003/08/09 18:12:26  kloczek
- %config and %verifi rules cleanups and unifications.

Revision 1.22  2003/07/25 09:36:54  kloczek
- unify Requires rules for /sbin/chkconfig.

Revision 1.21  2003/05/31 18:32:22  kloczek
- updated to 7.0rc10.

Revision 1.20  2003/05/17 06:35:03  pascalek
- revert user changes

Revision 1.19  2003/05/10 10:20:20  pascalek
- Req user-ircd

Revision 1.18  2003/03/05 21:09:51  misi3k
- grrr updated to 7.0rc9

Revision 1.17  2003/03/05 20:49:21  misi3k
- updated to 7beta18
- Patch4 updated to work with 7beta18
